| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
oyConversion_s.h File Reference
`#include <oyranos_object.h>`
`#include "oyStruct_s.h"`
`#include "oyranos_image.h"`
`#include "oyOptions_s.h"`
`#include "oyImage_s.h"`
`#include "oyProfile_s.h"`
`#include "oyFilterNode_s.h"`
`#include "oyPixelAccess_s.h"`

## Data Structures
struct | oyConversion_s
| A filter chain or graph to manipulate a image. More...

## Functions
OYAPI oyConversion_s *OYEXPORT | oyConversion_CreateFromImage (oyImage_s *image_in, const char *module, oyOptions_s *module_options, oyProfile_s *output_profile, oyDATATYPE_e buf_type_out, uint32_t flags, oyObject_s obj)
| generate a Oyranos graph from a image file name More...

## Detailed Description

[Template file inheritance graph] +-> oyConversion_s.template.h | +-> Base_s.h | +– oyStruct_s.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/11/02

## Function Documentation

OYAPI oyConversion_s* OYEXPORT oyConversion_CreateFromImage | ( | oyImage_s * | image_in,
|  | const char * | module,
|  | oyOptions_s * | module_options,
|  | oyProfile_s * | output_profile,
|  | oyDATATYPE_e | buf_type_out,
|  | uint32_t | flags,
|  | oyObject_s | obj
| ) |  |

generate a Oyranos graph from a image file name

Function oyConversion_CreateFromImage

Parameters

  [in] | image_in | input
  [in] | module | tobe ussed icc node
  [in] | flags | for inbuild defaults | oyOPTIONSOURCE_FILTER; for options marked as advanced | oyOPTIONATTRIBUTE_ADVANCED | OY_SELECT_FILTER | OY_SELECT_COMMON
  [in] | data_type | the desired data type for output
  [in] | obj | Oyranos object (optional)

Returns
  generated new graph, owned by caller

Version
  Oyranos: 0.5.0

Since
  2012/04/21 (Oyranos: 0.5.0)

Date
  2012/04/21

References oyChannels_m, oyConversion_s::oyConversion_Correct(), oyConversion_s::oyConversion_New(), oyConversion_s::oyConversion_Set(), oyDataType_m, oyFilterNode_s::oyFilterNode_Connect(), oyFilterNode_s::oyFilterNode_NewWith(), oyFilterNode_s::oyFilterNode_SetData(), oyImage_s::oyImage_Create(), oyImage_s::oyImage_GetHeight(), oyImage_s::oyImage_GetPixelLayout(), oyImage_s::oyImage_GetProfile(), oyImage_s::oyImage_GetWidth(), oyLAYOUT, oyOptions_s::oyOptions_Release(), oyProfile_s::oyProfile_GetChannelsCount(), and oyToChannels_m.